package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.UserRoleRes;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.UserRoleResSearchContext;

/**
 * 实体[UserRoleRes] 服务对象接口
 */

public interface IUserRoleResService{
     UserRoleRes getDraft(UserRoleRes userRoleRes) ;
     boolean checkKey(UserRoleRes userRoleRes) ;
     boolean update(UserRoleRes userRoleRes) ;
     UserRoleRes get(String userRoleResId) ;
     UserRoleRes get(UserRoleRes userRoleRes) ;
     boolean create(UserRoleRes userRoleRes) ;
     boolean save(UserRoleRes userRoleRes) ;
     boolean remove(String userRoleResId) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<UserRoleRes> searchDefault(UserRoleResSearchContext context) ;

    /**
     * 根据统一资源查询
     */
     Page<UserRoleRes> selectByUniRes(String uniresid) ;
     List<UserRoleRes> selectByUniRes2(String uniresid);

    /**
     * 根据用户角色查询
     */
     Page<UserRoleRes> selectByUserRole(String userroleid) ;
     List<UserRoleRes> selectByUserRole2(String userroleid);

}
